Bug 79318 - change in mv breaks GCC compilation process
change in mv breaks GCC compilation process
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: coreutils (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-09 21:54 EST by Igor V. Kovalenko
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-09 21:59:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch modifies mv.c so it does not abort with error() from glibc (644 bytes, patch)
2002-12-09 21:58 EST, Igor V. Kovalenko
no flags Details | Diff

  None (edit)
Description Igor V. Kovalenko 2002-12-09 21:54:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Between stages of GCC compilation there is a file moving directive which uses
predefined file list. In some configurations there are files listed but not
generated by the build process.
coreutils-4.5.3 version of 'mv' stops at the first missing file. This is because
'lstat' call is failing and an 'error' from glibc-2.3.1 apparently aborts the
execution. So not all existing files are moved to their new location.
Previous version of 'mv' (from fileutils- package) just skips missing files
while it moves others.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cd /tmp
2. mkdir mvtestdir
3. touch a b d e g h
4. mv a b c d e f g h mvtestdir
5. ls mvtestdir

Actual Results:  [/tmp]$ mv a b c d e f g h mvtestdir/
/tmp/mv: can't stat source c
[/tmp]$ ls mvtestdir 
a  b


Expected Results:  [/tmp]$ mv a b c d e f g h mvtestdir/
mv: can't stat source c
mv: can't stat source f
[/tmp]$ ls mvtestdir
a  b  d  e  g  h



Additional info:
Comment 1 Igor V. Kovalenko 2002-12-09 21:59:00 EST
Created attachment 88144 [details]
This patch modifies mv.c so it does not abort with error() from glibc
Comment 2 Tim Waugh 2002-12-10 03:56:38 EST
This is fixed in coreutils-4.5.3-7.

Note You need to log in before you can comment on or make changes to this bug.